/* CSS styles for the tool */
.text-sec {
    /* min-height: 500px !important; */
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.convert__btn {
    background-color: #3acd99;
    border-radius: 6px;
    color: white !important;
    padding: 6px 12px;
    outline: unset;
    font-size: 16px;
    border: none !important;
    outline: none !important;
    width: max-content;
    height: 36px;
    font-weight: 500;
}

textarea:not(.feedback-msg) {
    min-height: 400px;
}

.p-relative {
    position: relative;
}

.tox .tox-statusbar {
    height: 48px !important;
}

.tox .tox-statusbar__path {
    display: none !important;
}

.totalWords_ {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #000000;
    position: absolute;
    bottom: 2em;
    left: 1em;
}

.browse_area {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0px;
    height: 100px;
    background: #ffffff;
    border: 1px dashed #34A370;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    color: #7F8384;
}

.upload-after {
    color: #3acd99;
}

.file_info__ {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px 0px;
    justify-content: space-between;
    gap: 10px;
    min-height: 46px;
}

.file_info__ span {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #333333;
}

.js_single_preview {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px;
    gap: 10px;
    height: 68px;
    background: #ffffff;
    border: 1px solid #e2e2e2;
    border-radius: 10px;
    justify-content: space-between;
    position: relative;
}

.file_preview_wrapper_ {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    max-height: 396px;
    overflow-y: auto;
    margin: 0px 0px 10px 0px;
}

.file_name_wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
    min-width: 200px;
    max-width: 200px;
    text-wrap: nowrap;
}

.file_image {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 6px;
    gap: 10px;
    width: 48px;
    background: #ffffff;
    border: 0.5px solid #e2e2e2;
    border-radius: 6px;
}

.file_name {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    margin: 0px -4px;
}

.download_btn img {
    display: none;
}

.finish_tag {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 6px 8px;
    gap: 10px;
    margin: 0 auto;
    width: 62px;
    height: 28px;
    background: #f1fffa;
    border-radius: 6px;
    z-index: 1;
}

.finish_tag span {
    width: 46px;
    height: 16px;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    color: #3acd99;
}

.error-occured {
    border: 1px solid rgba(255, 0, 0, 0.35);
}

.delete_icon {
    cursor: pointer;
}

.action_right_wrapper {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 10px;
}

.download_btn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 6px 10px;
    gap: 4px;
    width: auto;
    background: #f4f8f9;
    border-radius: 6px;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #7f8384;
    text-decoration: none;
}

.d-none {
    display: none;
}

.converted_file_info {
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    color: #7f8384;
}

.progress-bar {
    width: 100%;
    height: 5px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    border-radius: 0 0 5px 5px;
    background: linear-gradient(90deg,
            rgba(255, 255, 255, 0) 2.85%,
            rgba(58, 205, 153, 0.909375) 53.25%,
            #3acd99 100%);
}

.progress-bar::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    height: 100%;
    background: linear-gradient(90deg,
            #ffffff00 0%,
            rgba(125, 215, 184, 0.909) 50%,
            #3acd99 80%,
            #abffc7 100%
            /* white tail */
        );
    border-radius: 3px;
    animation: progress 2.5s linear infinite;
}

.result_action_wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 12px;
}

.action_btns {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
}

.start_over_btn {
    padding: 6px 10px !important;
    border-radius: 6px;
    background: #000000;
    border-color: #000000;
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    color: white;
    cursor: pointer;

}

.download_dropdown {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 6px 10px;
    gap: 8px;
    background: #3ACD99;
    border-radius: 6px;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #ffffff;
    cursor: pointer;
}

.dropdown_arrow {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #ffffff;
}

.result_span {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #333333;
}

.dropdown-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    position: absolute;
    background: #ffffff;
    box-shadow: 0px 2px 6px rgba(60, 64, 67, 0.15),
        0px 1px 2px rgba(60, 64, 67, 0.3);
    border-radius: 8px;
    top: 105%;
    right: 0;
    left: 0;
    width: 100%;
    z-index: 9;
    padding: 4px;
}

.dropdown-content a:hover {
    background-color: #f4f8f9;
    color: #000000;
}

.dropdown-content a {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #7f8384;
    border-radius: 8px;
    text-decoration: none;
}

.download-options {
    width: 100%;
    text-align: left;
    padding: 8px;
}

@keyframes progress {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(150%);
        /* move all the way through and past */
    }
}

.file-info-mobile {
    display: none;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    color: #7f8384;
}

.upload_paste_btn {
    display: flex;
    position: absolute;
    top: 50%;
    gap: 12px;
    width: 100%;
    justify-content: center;
}

.sample_text,
.paste_text {
    width: 120px;
    min-height: 72px;
    max-width: 300px;
    display: flex;
    gap: 4px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 1px solid #E2E2E2;
    padding: 6px;
    border-radius: 6px;
    font-size: 12px;
    color: #7F8384;
    line-height: 16px;
    text-align: center;
    font-weight: 400;
}

.data-privacy-statement {
    padding-top: 16px;
}

.data-privacy-statement div span {
    text-decoration: underline;
    cursor: pointer;
}

@media (max-width: 550px) {
    .file-info-mobile {
        display: block;
    }

    .download_btn img {
        display: block;
    }

    .converted_file_info {
        display: none;
    }

    .finish_tag {
        display: none;
    }

    .file_name_wrapper {
        gap: 8px;
    }

    .download_btn span {
        display: none;
    }

    .file_name {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .convert__btn {
        width: 100%;
    }
}